GST Return Download File Details
GET
https://apisandbox.whitebooks.in/all/filedetThis API is called with the file_num to get the file URL
Parameters
query parameters
gstinstringrequiredGSTIN of the taxpayer
returnperiodstringrequiredReturn Period
tokenstringrequiredTransaction ID
emailstringrequiredEmail
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/all/filedet. Required parameters: gstin (query parameter), returnperiod (query parameter), token (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get File Details (GET
/all/filedet), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API is called with the file_num to get the file URL
No example available.